ChangeSet 1.808.2.9, 2002/10/22 13:08:34-07:00, oliver@oenone.homelinux.org

[PATCH] USB: hpusbscsi - kill wrong error case



diff -Nru a/drivers/usb/image/hpusbscsi.c b/drivers/usb/image/hpusbscsi.c
--- a/drivers/usb/image/hpusbscsi.c	Mon Oct 28 13:55:18 2002
+++ b/drivers/usb/image/hpusbscsi.c	Mon Oct 28 13:55:18 2002
@@ -31,7 +31,7 @@
 /* USB related parts */
 
 static int
-hpusbscsi_usb_probe (struct usb_interface *intf, 
+hpusbscsi_usb_probe (struct usb_interface *intf,
 		     const struct usb_device_id *id)
 {
 	struct hpusbscsi *new;
@@ -109,11 +109,6 @@
 	switch (result) {
 	case 0:		/* no error */
 		break;
-
-	case -EPIPE:
-		usb_clear_halt (dev, usb_sndctrlpipe (dev, 0));
-		break;
-
 	default:
 		printk (KERN_ERR "unknown error %d from usb_set_interface\n",
 			 result);
